cancel
Showing results for 
Search instead for 
Did you mean: 

msyql client

 
yuk1
Occasional Advisor

msyql client

I have already install the mysql package to the debian includes

libdbd-mysql
libmysqlclient
mysql-client
mysql-common
mysql-server
php4-mysql
webmin-mysql

then I want to run "mysql" command to use as mysql client , but it pops "commond not found" , could advise what package that I should install so that I can run "mysql" ? thx
6 REPLIES
Ivan Krastev
Honored Contributor

Re: msyql client

Use dpkg to obtain package name for specific file. In debian mysql client binary is located in /usr/bin/:

# dpkg -S mysql | grep bin
mysql-client-5.0: /usr/bin/mysql

Check for your client in /usr/bin, check also $PATH variable and fix it if necessary.

regards,
ivan
yuk1
Occasional Advisor

Re: msyql client

thx reply,

I tried to use dpkg -S mysql | grep bin to find that the mysql is in /usr/bin , but when I run it , it pop no such file , can advise what is wrong ? thx



#dpkg -S mysql | grep bin

"
mysql-client-4.1: /usr/bin/mysql
mysql-client-4.1: /usr/bin/mysqladmin
"

Steven E. Protter
Exalted Contributor

Re: msyql client

Shalom,

It appears the binary you found is for mysql version 4 and you are running mysql version 5.

Remove and re-install the package that provides mysql client.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Ivan Krastev
Honored Contributor

Re: msyql client

Try to run directly : /usr/bin/mysql and give an exact error from the program.

regards,
ivan
yuk1
Occasional Advisor

Re: msyql client

thx reply,

I have removed the mysql-server , mysql-client , mysql-common from my system , then I try to install it by apt-get -f install mysql*, apt-get upgrade mysql*, apt-get -f mysql*dist-upgrade mysql*, apt-get update , aptitude upgrade mysql* , but it still pop there is other dependences not installed , such as libc6-dev , then I tried to install this package , but it still pop the other package is not update , it also pop the coreutils is old version and asked to upgrade to newer version , but when upgrade the version of coreutils , it pop the dependence again , what I want to install is mysql4 server , client , can advise how can I install it without dependence problem ?
Ivan Krastev
Honored Contributor

Re: msyql client

Just try:
apt-get install mysql4-server

Of cource you should accept and install an additional software to met the dependencies.

regards,
ivan